Page MenuHomePhabricator

Make sanitizers' interceptors non-weak on FreeBSD
ClosedPublic

Authored by kutuzov.viktor.84 on Jul 8 2014, 5:20 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

kutuzov.viktor.84 retitled this revision from to Make sanitizers' interceptors non-weak on FreeBSD.
kutuzov.viktor.84 updated this object.
kutuzov.viktor.84 edited the test plan for this revision. (Show Details)
kutuzov.viktor.84 added reviewers: kcc, samsonov.
kutuzov.viktor.84 added subscribers: Unknown Object (MLST), theraven, emaste.
kcc added inline comments.Jul 8 2014, 6:40 AM
lib/interception/interception.h
142 ↗(On Diff #11154)

shouldn't we have #elif (FreeBSD) on the same level as other OSes (APPLE, _WIN32)?

Reworked so that the Linux and FreeBSD clauses do not share definitions.

kcc accepted this revision.Jul 10 2014, 2:20 AM
kcc edited edge metadata.

LGTM

This revision is now accepted and ready to land.Jul 10 2014, 2:20 AM
kutuzov.viktor.84 updated this revision to Diff 11250.

Closed by commit rL212693 (authored by vkutuzov).

emaste removed a subscriber: emaste.Jul 18 2014, 8:05 AM